Bug 103404 - prelink segfaults
prelink segfaults
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: prelink (Show other bugs)
beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-08-29 16:32 EDT by Bill Nottingham
Modified: 2014-03-16 22:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.3.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-03 06:03:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2003-08-29 16:32:13 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2003-08-29 16:32:56 EDT
[root@apone root]# gdb /usr/sbin/prelink
GNU gdb Red Hat Linux (5.3.90-0.20030710.5rh)
Copyright 2003 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) set args -vmR /usr/lib/libGLcore.so.1.0.4496
(gdb) run
Starting program: /usr/sbin/prelink -vmR /usr/lib/libGLcore.so.1.0.4496
warning: shared library handler failed to enable breakpoint
Laying out 1 libraries in virtual address space 00101000-50000000
Random base 0x1d212000
Assigned virtual address space slots for libraries:
/usr/lib/libGLcore.so.1.0.4496                               0043c000-00945898
Prelinking /usr/lib/libGLcore.so.1.0.4496
/usr/sbin/prelink: Warning: /usr/lib/libGLcore.so.1.0.4496 has undefined
non-weak symbols
 
Program received signal SIGSEGV, Segmentation fault.
resolve_dso (info=0xbff7c090, r_sym=189100, reloc_type=-1097072632)
    at prelink.c:62
62          if (s->reloc_class == reloc_class)
(gdb) bt
#0  resolve_dso (info=0xbff7c090, r_sym=189100, reloc_type=-1097072632)
    at prelink.c:62
#1  0x0806e806 in i386_prelink_rela (info=0xbff7c090, rela=0xbff7c020,
    relaaddr=5423172) at arch-i386.c:194
#2  0x080610e7 in prelink_rela (dso=0x91c7bd0, n=5, info=0xbff7c090)
    at prelink.c:140
#3  0x08063a4d in prelink (dso=0x91c7bd0, ent=0x91c7b00) at prelink.c:1000
#4  0x0804d7de in prelink_ent (ent=0x91c7b00) at doit.c:104
#5  0x0804d958 in prelink_all () at doit.c:227
#6  0x0805f394 in main (argc=0, argv=0xbff7c484) at main.c:363

Note You need to log in before you can comment on or make changes to this bug.